To Use ICloud You Need OS X 10.7.2 And IOS 5

Posted: Oct 12 2011, 2:06pm CDT | by , in News | Apple

 

To use iCloud you need OS X 10.7.2 and iOS 5
 

Don't Miss: Amazon 12 Days of Deals Sale

Apple released iCloud and iOS 5. Now you need to update your Mac, iPhone and iPad to use the new iCloud features.

Apple has released the iOS 5 update and you can download it now via iTunes onto your iPad or iPhone. To use the iCloud you also need the latest OS X Lion 10.7.2 Update that just got released as well.

Apple download servers are already a bit busy, but the downloads are still reasonable fast. OS X Lion 10.7.2 adds a control panel for the iCloud. Windows users also got a new tool called the iCloud Control panel. Windows PC owners need that to enable automatic downloads.

Of course you should already have installed iTunes 10.5 that Apple released earlier this week.

Have fun playing with the over 200 new features in iOS 5. Remember that Siri is only available on the iPhone 4S and is not a feature that comes with iOS 5.

More iOS 5 News and iCloud News.

You May Like

The Author

<a href="/latest_stories/all/all/2" rel="author">Luigi Lugmayr</a>
Luigi Lugmayr () is the founding chief Editor of I4U News and brings over 15 years experience in the technology field to the ever evolving and exciting world of gadgets. He started I4U News back in 2000 and evolved it into vibrant technology magazine.
Luigi can be contacted directly at ml@i4u.com.

 

 

Advertisement

Comments

comments powered by Disqus

Share this Story

Follow Us
Follow I4U News on Twitter
Follow I4U News on Facebook

Read the Latest from I4U News